RAND(3C)

NAME
rand, srand - random number generator

SYNOPSIS
srand(seed)
int seed;

rand()

DESCRIPTION
The newer random(3) should be used in new applications; rand remains for compatibilty.

Rand uses a multiplicative congruential random number generator with period 2**32 to return successive pseudo-random numbers in the range from 0 to (2**31)-1 on the VAX, and (2**15)-1 on the PDP-11.

The generator is reinitialized by calling srand with 1 as argument. It can be set to a random starting point by calling srand with whatever you like as argument.

SEE ALSO
random(3)